#include<bits/stdc++.h>
using namespace std;
typedef long long ll;
ll n;
main(){
cin >> n;
vector<ll> a, b;
for(ll i=0; i <= n/2; i++){
    if(i%2==0){
        a.push_back(i+1);
        a.push_back(n-i);
    }
    else{
        b.push_back(i+1);
        b.push_back(n-i);
    }
}
for(ll i=0; i < n/2 ; i++)cout << a[i] << " ";
cout << endl;
for(ll i=0; i < n/2; i++)cout << b[i] << " ";

}